Bug 780378 - (SOA-2790) binding service refers to jboss.bind.address instead of jboss.esb.bind.address
binding service refers to jboss.bind.address instead of jboss.esb.bind.address
Status: NEW
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.1.0.ER6
Unspecified Unspecified
high Severity high
: ---
: FUTURE
Assigned To: tcunning
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-17 06:45 EST by Kevin Conner
Modified: 2015-03-12 07:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
In JBoss ESB, the binding service refers to "jboss.bind.address" instead of "jboss.esb.bind.address". Work around this by accessing the EsbPropertyServiceXSLTConfig property in conf/bindingservice.beans/META-INF/bindings-jboss-beans.xml and inserting the code listed on this topic's Bugzilla page.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBESB-3561 Major Open AS5 binding service refers to jboss.bind.address instead of jboss.esb.bind.address 2014-06-23 22:50:21 EDT
JBoss Issue Tracker SOA-2790 Major Closed binding service refers to jboss.bind.address instead of jboss.esb.bind.address 2014-06-23 22:50:26 EDT

  None (edit)
Description Kevin Conner 2011-01-17 06:45:31 EST
Affects: Release Notes
Workaround Description: Change EsbPropertyServiceXSLTConfig in conf/bindingservice.beans/META-INF/bindings-jboss-beans.xml so that it contains the following

           <parameter>
               <map keyClass="java.lang.String" valueClass="java.lang.String">
                   <entry>
                      <key>esbHost</key>
                      <value>${jboss.esb.bind.address}</value>
                   </entry>
               </map>
           </parameter>

(jboss.esb.bind.address instead of jboss.bind.address) 
project_key: SOA

If starting the server using '-b 0.0.0.0' then the binding service overrides the esb host binding which results in inaccessible entries in the UDDI registry (using address 0.0.0.0).

The workaround contains the simple fix to the binding configuration.
Comment 1 Kevin Conner 2011-01-17 06:45:56 EST
Link: Added: This issue depends JBESB-3561
Comment 2 Anne-Louise Tangring 2011-01-17 21:18:19 EST
Affects: Added: [Release Notes]
Comment 3 Suz 2012-06-14 21:11:12 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
In JBoss ESB, the binding service refers to "jboss.bind.address" instead of "jboss.esb.bind.address". Work around this by accessing the EsbPropertyServiceXSLTConfig property in conf/bindingservice.beans/META-INF/bindings-jboss-beans.xml and inserting the code listed on this topic's Bugzilla page.

Note You need to log in before you can comment on or make changes to this bug.